# Uses of Class
it.tdlight.jni.TdApi.ChatSource

## Uses of TdApi.ChatSource in it.tdlight.jni

Subclasses of TdApi.ChatSource in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ChatSourceMtprotoProxy`
The chat is sponsored by the user's MTProxy server.
`static final class`
`TdApi.ChatSourcePublicServiceAnnouncement`
The chat contains a public service announcement.
Fields in it.tdlight.jni declared as TdApi.ChatSource
Modifier and Type
Field
Description
`TdApi.ChatSource`
TdApi.ChatPosition.`source`
Source of the chat in the chat list; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatSource
Modifier
Constructor
Description
``
`ChatPosition(TdApi.ChatList list, long order, boolean isPinned, TdApi.ChatSource source)`
Describes a position of a chat in a chat list.